The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgraded to apache 2.2 and SSL no longer works

Discussion in 'EasyApache' started by Snowman30, Oct 2, 2007.

  1. Snowman30

    Snowman30 Well-Known Member
    PartnerNOC

    Joined:
    Apr 7, 2002
    Messages:
    681
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    got a problem occuring on servers we have tonight upgraded to apache 2.2

    SSL's no longer work at all

    error in firefox says unable to establish connection

    its as though apache isnt listenting on port 443 or something

    Ive done a restart of apache and still no joy...

    anyone know whats going on?>
     
  2. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    Does this solution work for you?

    http://forums.cpanel.net/showpost.php?p=333397&postcount=2
     
  3. Snowman30

    Snowman30 Well-Known Member
    PartnerNOC

    Joined:
    Apr 7, 2002
    Messages:
    681
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    Nick

    those lines already exist in those files

    i checked that one out earlier tonight
     
  4. Snowman30

    Snowman30 Well-Known Member
    PartnerNOC

    Joined:
    Apr 7, 2002
    Messages:
    681
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    actually ignore my post on this problem

    i restarted httpd a couple of times and its come good
     
  5. Snowman30

    Snowman30 Well-Known Member
    PartnerNOC

    Joined:
    Apr 7, 2002
    Messages:
    681
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    have an error related on another server however that wont fix itself

    the error after restarting apache is:

    /etc/init.d/httpd: line 120: 6119 Segmentation fault (core dumped) $HTTPD -k start -DSSL
     
  6. RSCChris

    RSCChris Active Member

    Joined:
    Sep 15, 2004
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    1
    I had Apache 2.2 previously installed, rebuilt Apache without changing any options, and I'm getting the segfault as well. The only way to get it to work was drop it back to Apache 1.3. Will post build log shortly. Any ideas?
     
  7. Snowman30

    Snowman30 Well-Known Member
    PartnerNOC

    Joined:
    Apr 7, 2002
    Messages:
    681
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    Ive done 6 servers at once, all the same spec and config and one has done this weird issue and one just wont work at all, the other 4 are all fine so it has me beat
     
  8. duranduran

    duranduran Well-Known Member

    Joined:
    Apr 30, 2004
    Messages:
    198
    Likes Received:
    0
    Trophy Points:
    16
    my apache is death

    I Have the same problem. My apache is death

    /etc/init.d/httpd: line 96: 32556 Segmentation fault (core dumped) $HTTPD -k $ARGV -DSSL

    see http://forums.cpanel.net/showthread.php?t=72256
     
  9. duranduran

    duranduran Well-Known Member

    Joined:
    Apr 30, 2004
    Messages:
    198
    Likes Received:
    0
    Trophy Points:
    16
    support Cpanel Ticket: 220800
     
  10. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    There is a well known issue with Apache 2.x and older versions of openssl. You should update openssl.
     
Loading...

Share This Page